#
# spec file for package libstorage
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

%{!?ruby_sitelib: %global ruby_sitelib %(ruby -rrbconfig -e 'puts Config::CONFIG["sitelibdir"] ')}
%{!?ruby_sitearch: %global ruby_sitearch %(ruby -rrbconfig -e 'puts Config::CONFIG["sitearchdir"] ')}

Name:           libstorage
Version:        2.22.0
Release:        1%{?dist}
License:        GPL
Group:          System/Libraries
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         libstorage-%{version}.tar.bz2

Patch0:         libxml.patch

Prefix:         /usr

BuildRequires:  blocxx-devel boost-devel dejagnu doxygen gcc-c++ libtool libxml2-devel python-devel ruby-devel swig

Summary:        Library for storage management
Url:            http://en.opensuse.org/Portal:Libstorage

%description
This package contains libstorage, a library for storage management.

%prep
%setup -q -n libstorage-%{version}
#%patch0 -p1

%build
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG -I/usr/include/libxml2/"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG -I/usr/include/libxml2"

aclocal
libtoolize --force --automake --copy
autoheader
automake --add-missing --copy
autoconf

%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir} --disable-silent-rules
make %{?jobs:-j%jobs}

%ifarch s390 s390x
sed -i -e 's/DEVICE_NAMES=".*"/DEVICE_NAMES="path"/' data/sysconfig.storage-libstorage
%endif

#%check
#LOCALEDIR=$RPM_BUILD_ROOT/usr/share/locale make check

%install
make install DESTDIR="$RPM_BUILD_ROOT"

install -d -m 755 $RPM_BUILD_ROOT/var/run/libstorage
touch $RPM_BUILD_ROOT/var/run/libstorage/lock

%{find_lang} libstorage

rm -f $RPM_BUILD_ROOT/%{python_sitearch}/_libstorage.a  
rm -f $RPM_BUILD_ROOT/%{python_sitearch}/_libstorage.la
%if 0%{?suse_version}
rm $RPM_BUILD_ROOT/%{rb_vendorarch}/storage.la
%endif
%if 0%{?mandriva_version}
rm $RPM_BUILD_ROOT/%{ruby_sitearchdir}/storage.la
%endif
#rm $RPM_BUILD_ROOT/%{ruby_sitearch}/storage.la
#rm: cannot remove `/home/vcrhonek/Work/rpm/BUILDROOT/libstorage-2.22.0-1.fc16.x86_64//usr/lib64/ruby/site_ruby/1.8/x86_64-linux/storage.la': No such file or directory
#rm $RPM_BUILD_ROOT/%{ruby_sitelib}/storage.la
#rm: cannot remove `/home/vcrhonek/Work/rpm/BUILDROOT/libstorage-2.22.0-1.fc16.x86_64//usr/lib/ruby/site_ruby/1.8/storage.la': No such file or directory
#rm  $RPM_BUILD_ROOT/%{ruby_vendorlib}/storage.la

%clean
rm -rf "$RPM_BUILD_ROOT"

%package -n libstorage3

Requires:       parted >= 2.2 mdadm device-mapper lvm2 dmraid multipath-tools cryptsetup
Requires:       coreutils udev util-linux >= 2.16 grep lsscsi
%ifarch s390 s390x
Requires:       s390-tools
%endif

#PreReq:         %fillup_prereq
Obsoletes:      yast2-storage-lib
Provides:       yast2-storage-lib
Obsoletes:      libstorage < 2.21.2
Provides:       libstorage = %{version}
Summary:        Library for storage management
Group:          System/Libraries

%description -n libstorage3
This package contains libstorage, a library for storage management.

Authors:
--------
    Thomas Fehr <fehr@suse.de>
    Arvin Schnell <aschnell@suse.de>

%files -n libstorage3 -f libstorage.lang
%defattr(-,root,root)
%{_libdir}/libstorage.so.*
%ghost /var/run/libstorage
/var/adm/fillup-templates/sysconfig.storage-libstorage
%doc %dir %{prefix}/share/doc/packages/libstorage
%doc %{prefix}/share/doc/packages/libstorage/AUTHORS
%doc %{prefix}/share/doc/packages/libstorage/COPYING

%post -n libstorage3
/sbin/ldconfig
%{fillup_only -an storage}

%postun -n libstorage3
/sbin/ldconfig

%package -n libstorage-devel

Requires:       libstorage3 = %version
Requires:       gcc-c++ libstdc++-devel boost-devel blocxx-devel libxml2-devel
Summary:        Header files and documentation for libstorage
Group:          Development/Languages/C and C++

%description -n libstorage-devel
This package contains header files and documentation for developing with
libstorage.

Authors:
--------
    Thomas Fehr <fehr@suse.de>
    Arvin Schnell <aschnell@suse.de>

%files -n libstorage-devel
%defattr(-,root,root)
%{_libdir}/libstorage.la
%{_libdir}/libstorage.so
%{prefix}/include/storage
%doc %{prefix}/share/doc/packages/libstorage/autodocs
%doc %{prefix}/share/doc/packages/libstorage/examples

%package -n libstorage-python

Requires:       libstorage3 = %version
Summary:        Python bindings for libstorage
Group:          System/Libraries

%description python
This package contains Python bindings for libstorage.

Authors:
--------
    Arvin Schnell <aschnell@suse.de>

%files -n libstorage-python
%defattr(-,root,root)
%{python_sitelib}/libstorage.py*
%attr(755,root,root) %{python_sitearch}/_libstorage.so

%package -n libstorage-ruby

Requires:       libstorage3 = %version
Requires:       ruby(abi) = 1.8
Summary:        Ruby bindings for libstorage
Group:          System/Libraries

%description ruby
This package contains Ruby bindings for libstorage.

Authors:
--------
    Thomas Fehr <fehr@suse.de>
    Arvin Schnell <aschnell@suse.de>

%files -n libstorage-ruby
%defattr(-,root,root)
#%if 0%{?suse_version}
#%{rb_vendorarch}/storage.so
#%endif
#%if 0%{?mandriva_version}
#%{ruby_sitearchdir}/storage.so
#%endif
#%{ruby_sitearch}/storage.so
#%{ruby_sitearch}/storage.la
#error: File not found: /home/vcrhonek/Work/rpm/BUILDROOT/libstorage-2.22.0-1.fc16.x86_64/usr/lib64/ruby/site_ruby/1.8/x86_64-linux/storage.so
#error: File not found: /home/vcrhonek/Work/rpm/BUILDROOT/libstorage-2.22.0-1.fc16.x86_64/usr/lib64/ruby/site_ruby/1.8/x86_64-linux/storage.la
#
/usr/lib64/ruby/1.8/x86_64-linux/storage.la
/usr/lib64/ruby/1.8/x86_64-linux/storage.so
#rm $RPM_BUILD_ROOT/%{ruby_sitearch}/storage.la
#rm: cannot remove `/home/vcrhonek/Work/rpm/BUILDROOT/libstorage-2.22.0-1.fc16.x86_64//usr/lib64/ruby/site_ruby/1.8/x86_64-linux/storage.la': No such file or directory

%package -n libstorage-testsuite

Requires:       libstorage3 = %version
Summary:        Testsuite for libstorage
Group:          Development/Tools/Other

%description -n libstorage-testsuite
This package contains testsuite programs for libstorage.

Authors:
--------
    Arvin Schnell <aschnell@suse.de>

%files testsuite
%defattr(-,root,root)
%dir /usr/lib/libstorage
/usr/lib/libstorage/testsuite-real

%changelog
* Wed Jan 25 2012 Vitezslav Crhonek <vcrhonek@redhat.com> - 2.22.0-1
- Inital build for Fedora

